
#![allow(dead_code)]

#[macro_use] extern crate pin_project;
#[cfg(feature="log")] #[macro_use] extern crate log;

// Extensions & macros
#[macro_use] mod ext;
#[allow(unused_imports)] use ext::*;

pub mod dual;

// RSA crypto shit
mod crypt;
// Stream impls
mod stream;

pub use stream::{
    AsyncStream,
    
    Stream,
    //    EncryptedStream,
    
    WriteHalf,
    EncryptedWriteHalf,
    
    ReadHalf,
    EncryptedReadHalf,
};
